Skip to main content
`Ctrl`+`K`

# DMAdaptorGetSequenceLength

Gets the number of sequential adaptations used by an adapter

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorGetSequenceLength(DMAdaptor adaptor, PetscInt *num)

Not Collective

## Input Parameter

- adaptor - The `DMAdaptor` object

## Output Parameter

- num - The number of adaptations

## See Also

DM Basics, `DMAdaptor`, `DMAdaptorSetSequenceLength()`, `DMAdaptorCreate()`, `DMAdaptorAdapt()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages